Warning, /education/kmplot/CMakeLists.txt is written in an unsupported language. File is not indexed.

0001 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
0002 
0003 # KDE Application Version, managed by release script
0004 set (RELEASE_SERVICE_VERSION_MAJOR "22")
0005 set (RELEASE_SERVICE_VERSION_MINOR "11")
0006 set (RELEASE_SERVICE_VERSION_MICRO "70")
0007 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
0008 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
0009 
0010 project(kmplot VERSION "1.3.${RELEASE_SERVICE_COMPACT_VERSION}")
0011 
0012 set (QT_MIN_VERSION "5.15.2")
0013 set (KF5_MIN_VERSION "5.90.0")
0014 set (KDE_COMPILERSETTINGS_LEVEL "5.82.0")
0015 
0016 find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
0017 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
0018 
0019 include(CheckIncludeFiles)
0020 include(KDEInstallDirs)
0021 include(ECMAddAppIcon)
0022 include(ECMInstallIcons)
0023 include(ECMSetupVersion)
0024 include(KDECMakeSettings)
0025 include(KDECompilerSettings NO_POLICY_SCOPE)
0026 include(KDEClangFormat)
0027 include(KDEGitCommitHooks)
0028 
0029 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Svg Widgets PrintSupport)
0030 
0031 find_package (KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
0032     Crash
0033     GuiAddons
0034     I18n
0035     Parts
0036     WidgetsAddons
0037     DocTools
0038     DBusAddons
0039 )
0040 
0041 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
0042 add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
0043 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
0044 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
0045 
0046 check_include_files(ieeefp.h HAVE_IEEEFP_H)
0047 configure_file(config-kmplot.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kmplot/config-kmplot.h)
0048 ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KMPLOT VERSION_HEADER kmplot_version.h)
0049 
0050 add_subdirectory( doc )
0051 add_subdirectory( kmplot )
0052 add_subdirectory( icons )
0053 
0054 ki18n_install(po)
0055 if (KF5DocTools_FOUND)
0056     kdoctools_install(po)
0057 endif()
0058 install(FILES org.kde.kmplot.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
0059 
0060 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
0061 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
0062 
0063 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
0064 
0065 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)